import '../styles/index.scss';

import DataTable from "react-data-table-component";
import React, { Component } from 'react';
import { createRoot } from 'react-dom/client';


const addr_prefix = "" //"http://localhost:8000"


class Main extends Component {
    constructor(props) {
        super(props);
        this.state = {
            text: "",
            status: "",
        };
    }
    onSubmit(event){
        event.preventDefault();
        let form = document.forms[0];
        let formData = new FormData(form);
        fetch("/api/register", {
            method:"POST",
            body: formData,
        }).then(resp => resp.json()).then(json => {
            if(json.reason){
                this.setState({
                    text: json.reason,
                    status: "failed",
                })
            } else {
                this.setState({
                    text: json.success,
                    status: "success",
                })
            }
        });
    }
    render(){
        return (
<div>
    {this.state.status == "success" &&
    <div class="absolute container-fluid alert alert-success">
        {this.state.text}
    </div>}
    {this.state.status == "failed" &&
    <div class="absolute container-fluid alert alert-danger">
        {this.state.text}
    </div>}
    <div class="container">
        <img class="logo" src="/public/logo.svg"></img>
    </div>
    <div class="container info">
        <div class="row">
            <h1 class="col val">
                <b>KDY?</b>
                <br />
                4.5.2024
            </h1>
            <div class="col"></div>
            <h1 class="col val">
                <b>KDE?</b>
                <br />
                Sobkovice
            </h1>
            <div class="col"></div>
            <h1 class="col val">
                <b>CENA</b>
                <br />
                690 kč
            </h1>
        </div>
    </div>
    <div class="container text">
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam sapien sem, ornare ac, nonummy non, lobortis a enim. Sed vel lectus. Donec odio tempus molestie, porttitor ut, iaculis quis, sem. Itaque earum rerum hic tenetur a sapiente delectus, ut aut reiciendis voluptatibus maiores alias consequatur aut perferendis doloribus asperiores repellat. Aliquam erat volutpat. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.</p>
    </div>
    {/*<form class="container" onSubmit={(e) => this.onSubmit(e)}>
        <h1>Registrace</h1>
        <div class="mb-3">
            <label for="first_name" class="form-label">Jméno</label>
            <input type="text" class="form-control" id="first_name" name="first_name" />
        </div>
        <div class="mb-3">
            <label for="last_name" class="form-label">Přijmení</label>
            <input type="text" class="form-control" id="last_name" name="last_name" />
        </div>
        <div class="mb-3">
            <label for="email" class="form-label">Emailová adresa</label>
            <input type="email" class="form-control" id="email" name="email" />
        </div>
        <div class="mb-3">
            <label for="date_of_birth" class="form-label">Datum narození</label>
            <input type="date" class="form-control" id="date_of_birth" name="date_of_birth" max={new Date().toJSON().slice(0, 10)} />
        </div>
        <div class="mb-3 form-check">
            <input type="checkbox" class="form-check-input" id="agreement" name="agreement" />
            <label class="form-check-label" for="agreement">Souhlas se zpracováním osobních údajů</label>
        </div>
        <button type="submit" class="btn btn-primary">Odeslat</button>
        </form>*/}
    <div class="container video">
        <iframe width="100%" height="800px" src="https://www.youtube.com/embed/H1UeXTBpsXw?si=kkh2_BBJXw56gVaP" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen="true"></iframe>
    </div>
    <div class="container video">
        <iframe width="100%" height="800px" src="https://www.youtube.com/embed/7WB4J_j-VhM?si=kkh2_BBJXw56gVaP" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen="true"></iframe>
    </div>
    <div class="container kontakt">
        <div class="row">
            <a class="col-lg-3" href="mailto:info@alkator.cz"><b>info@alkator.cz</b></a>
            <a class="col-lg-3" href="https://www.facebook.com/AlkatorRace"><img height="40px" src="/public/fb_logo.svg" /></a>
            <a class="col-lg-3" href="https://www.youtube.com/@AlkatorRace"><img height="40px" src="/public/youtube_logo.svg"/></a>
            <a class="col-lg-3" href="https://www.instagram.com/alkator_race/"><img height="40px" src="/public/instagram_logo.svg" /></a>
        </div>
    </div>
</div>
        );
    }
}

const root = createRoot(
    document.getElementById('root')
);
root.render(<Main />);